# Variable form

form: {
mkForm: (
form: AbstractForm,
csrfToken: string | boolean,
errors?: any,
) => string;
mkFormContentNoLayout: (form: AbstractForm, errors?: any) => string;
renderForm: (
form: string | AbstractForm,
csrfToken0: string | boolean,
) => string;
renderFormLayout: (form: AbstractForm) => string;
}

#### Type Declaration

- ##### mkForm: (form: AbstractForm, csrfToken: string | boolean, errors?: any) => string

- ##### mkFormContentNoLayout: (form: AbstractForm, errors?: any) => string

- ##### renderForm: (form: string | AbstractForm, csrfToken0: string | boolean) => string

- ##### renderFormLayout: (form: AbstractForm) => string

- Defined in form.ts:1841